// じわっとフェードイン
$(window).on('load', function () {
  $('.mainvisual .wrapper').addClass('blur');
});

// スクロールでフェードイン
$(window).on('scroll', function () {
  // スクロールする度にjsが発火
  $('.fade-in').each(function () {
    // .fade-inに対して繰り返し処理を行う
    let topPosition = $(this).offset().top; // .fade-inからブラウザ上部までの距離を取得
    let scroll = $(window).scrollTop(); // スクロール量を取得
    let windowHeight = $(window).height(); // 表示中のブラウザの高さを取得
    if (scroll > topPosition - windowHeight) {
      // ブラウザに要素が表示された時
      $(this).addClass('scroll'); // .fade-inに.scrollを付与
    }
  });
});
$(window).scroll(); // リロードしてもフェードインが行われる

// スムーススクロール
let pageTop = $('#pagetop'); // #pagetopの値を取得
pageTop.on('click', function () {
  // クリックするとjsが発火
  $('body, html').animate(
    {
      scrollTop: 0, // スクロール位置はページの一番上まで
    },
    500
  ); // 500msかけて遷移する
  return false;
});
